<template>
    <div class="hello">
        <h1>Salut {{ this.printName() }} !</h1>
    </div>
</template>

<script>
    export default {
        name: "HelloWorld",
        props: {
            name: String
        },
        methods: {
            printName() {
                let name = this.$store.name;
                console.log("Saying hello to ", name);
                return name
            }
        }
    };
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
    h3 {
        margin: 40px 0 0;
    }

    ul {
        list-style-type: none;
        padding: 0;
    }

    li {
        display: inline-block;
        margin: 0 10px;
    }

    a {
        color: #42b983;
    }
</style>
